Reservations API Reference
API Reference/Reservations

Reservations

For authentication instructions, see API overview.

get

List all reservations

Returns a list of reservations. The reservations are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/reservations

Response

No response schema
post

Create reservation

Create reservation. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • customerIdstring
  • customerNamestring
  • Contactsarray
  • salesManstring
  • unitIdstring
  • statusstring
  • reservationDatestring
  • validToDatestring
  • downPaymentnumber
  • reservationFeesnumber
  • accountIdstring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/reservations \
-d 'customerId="635c2d3d6e93d9350ce6fce3"' \
-d 'customerName="Mazen Mohamed"' \
-d 'Contacts="array"' \
-d 'salesMan="Nageeb Saweras"' \
-d 'unitId="635c2f3d6e93d9350ce6fc03"' \
-d 'status="Success"' \
-d 'reservationDate="22/11/2022"' \
-d 'validToDate="27/11/2022"' \
-d 'downPayment=3000' \
-d 'reservationFees=200' \
-d 'accountId="93949djfdf"'

Response

No response schema
get

Retrieve reservation

Returns a single reservatio, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the reservation

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/reservations/:id

Response

No response schema
put

Update reservation

Path parameters

  • idstring

    ID of the reservation

Request body

  • customerIdstring
  • customerNamestring
  • Contactsarray
  • salesManstring
  • unitIdstring
  • statusstring
  • reservationDatestring
  • validToDatestring
  • downPaymentnumber
  • reservationFeesnumber
  • accountIdstring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/reservations/:id \
-d 'customerId="635c2d3d6e93d9350ce6fce3"' \
-d 'customerName="Mazen Mohamed"' \
-d 'Contacts="array"' \
-d 'salesMan="Nageeb Saweras"' \
-d 'unitId="635c2f3d6e93d9350ce6fc03"' \
-d 'status="Success"' \
-d 'reservationDate="22/11/2022"' \
-d 'validToDate="27/11/2022"' \
-d 'downPayment=3000' \
-d 'reservationFees=200' \
-d 'accountId="93949djfdf"'

Response

No response schema
patch

Update reservation soft

Update reservation soft by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the reservation

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/reservations/:id

Response

No response schema
delete

Delete reservation

Path parameters

  • idstring

    ID of the reservation

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/reservations/:id

Response

No response schema